# KP4MECHELLE -- KPNO 4M Echlle Spectrograph

procedure kp4mechelle ()

real	time = INDEF		{prompt="Total exposure time (sec)"}
real	maxexp = 3600.		{prompt="Maximum time per exposure (sec)"}
real	sn = 25.		{prompt="S/N per pixel if time is INDEF\n"}

string	grating = "ECH79-63"	{prompt="Grating"}
string	xdisperser = "KPC21"	{prompt="Cross disperser grating"}
real	wave = 5000.		{prompt="Central wavelength (Angstroms)"}
int	order = INDEF		{prompt="Order for grating", min=1}
int	xorder = INDEF		{prompt="Order for cross disperser", min=1}
string	filter = "none"		{prompt="Filter name"}
string	filter2 = "none"	{prompt="Filter name\n"}

real	width = INDEF		{prompt="Slit width (-=pixels +=arcsec)"}
real	length = INDEF		{prompt="Slit length (-=pixels +=arcsec)"}
string	detector = "t2kb"	{prompt="Detector"}
int	xbin = 1		{prompt="Detector binning (dispersion)", min=1}
int	ybin = 1		{prompt="Detector binning (spatial)\n", min=1}

string	spectrum = "blackbody"	{prompt="Spectrum"}
string	sky = "kpsky"		{prompt="Sky spectrum"}
real	airmass = 1.2		{prompt="Airmass", min=1.}
real	seeing = 1.		{prompt="Seeing (arcsec)"}
real	phase = 0.		{prompt="Moon phase (0-14)\n", min=0., max=14.}

real	temperature = 6000.	{prompt="Temperature (K)"}
real	index = 0.		{prompt="Power law index"}
real	refwave = INDEF		{prompt="Reference wavelength (Angstroms)"}
real	refflux = 10		{prompt="Source flux at reference wavelength"}
string	funits = "AB"		{prompt="Source flux units\n",
				 enum="AB|F_lambda|F_nu|U|B|V|R|I"}

string	collimator = "4mechred"	{prompt="Collimator"}
string	camera = "redlong"	{prompt="Camera\n"}

string	output="ALL"		{prompt="Output plots"}


begin
	string	search

	search = "kprcspec$,spectimedb$,sptimeKPNO$"
	search = search // ",sptimeKPNO$Collimators"
	search = search // ",sptimeKPNO$Cameras"
	search = search // ",sptimeKPNO$Gratings"
	search = search // ",sptimeKPNO$Filters/RCCRYO"
	search = search // ",sptimeKPNO$Sky"
	search = search // ",sptimeKPNO$Detectors"

	sptime (time=time, maxexp=maxexp, sn=sn, spectrum=spectrum, sky=sky,
	    airmass=airmass, seeing=seeing, phase=phase,
	    temperature=temperature, index=index, refwave=refwave,
	    refflux=refflux, funits=funits, wave=wave, order=order,
	    xorder=xorder, width=width, length=length, diameter=INDEF,
	    inoutangle=INDEF, xinoutangle=INDEF, xbin=xbin, ybin=ybin,
	    spectrograph="4mechelle", filter=filter, filter2=filter2,
	    disperser=grating, xdisperser=xdisperser, fiber="none",
	    telescope="Telescopes/mayall4m", adc="none",
	    collimator=collimator, corrector="none", camera=camera,
	    detector=detector, aperture="Apertures/slit",
	    extinction="Extinction/kpextinct",
	    abjohnson="sptimelib$abjohnson", search=search, gain=INDEF,
	    rdnoise=INDEF, dark=INDEF, skysub="longslit", nskyaps=10,
	    output=output, list="", graphics="stdgraph", interactive=yes,
	    nw=101, sensfunc="")
end
