# MARS -- KPNO MARS Spectrograph

procedure mars ()

real	time = INDEF		{prompt="Total exposure time (sec)"}
real	maxexp = 3600.		{prompt="Maximum time per exposure (sec)"}
real	sn = 25.		{prompt="S/N per pixel if time is INDEF\n"}

string	grism = "VG805"		{prompt="Grism"}
real	wave = INDEF		{prompt="Central wavelength (Angstroms)\n"}

real	width = INDEF		{prompt="Slit width (-=pixels +=arcsec)"}
real	length = INDEF		{prompt="Slit length (-=pixels +=arcsec)"}
int	xbin = 1		{prompt="Detector binning (dispersion)", min=1}
int	ybin = 1		{prompt="Detector binning (spatial)\n", min=1}

string	spectrum = "blackbody"	{prompt="Spectrum"}
string	sky = "kpsky"		{prompt="Sky spectrum"}
real	airmass = 1.2		{prompt="Airmass", min=1.}
real	seeing = 1.		{prompt="Seeing (arcsec)"}
real	phase = 0.		{prompt="Moon phase (0-14)\n", min=0., max=14.}

real	temperature = 6000.	{prompt="Temperature (K)"}
real	index = 0.		{prompt="Power law index"}
real	refwave = INDEF		{prompt="Reference wavelength (Angstroms)"}
real	refflux = 10		{prompt="Source flux at reference wavelength"}
string	funits = "AB"		{prompt="Source flux units\n",
				 enum="AB|F_lambda|F_nu|U|B|V|R|I"}

string	output="ALL"		{prompt="Output plots"}


begin
	string	search

	search = "spectimedb$,"
	search = search // ",sptimeKPNO$Grisms"
	search = search // ",sptimeKPNO$Sky"

	sptime (time=time, sn=sn, spectrum=spectrum, spectitle="",
	    E=0., R=3.1, sky=sky, skytitle="", extinction="",
	    exttitle="", refwave=refwave, refflux=refflux,
	    funits=funits, temperature=temperature., index=index,
	    seeing=seeing, airmass=airmass, phase=phase, thermal=0.,
	    wave=wave, order=INDEF, xorder=INDEF, width=width,
	    length=length, diameter=INDEF, xbin=1, ybin=1,
	    search=search, maxexp=maxexp., units="Angstroms",
	    skysub="", nskyaps=10, subpixels=INDEF, sensfunc="",
	    output=output, nw=101, list="", graphics="stdgraph",
	    interactive=yes, specpars="spectimedb$scripts/marspars.par",
	    disperser=grism)
end
