# COUDE -- Coude Spectrograph

procedure coude ()

real	time = INDEF		{prompt="Total exposure time (sec)"}
real	maxexp = 3600.		{prompt="Maximum time per exposure (sec)"}
real	sn = 25.		{prompt="S/N per pixel if time is INDEF\n"}

real	width = -20		{prompt="Slit width (-=pixels, +=arcsec)"}
string	grating = "cfgratA"	{prompt="Grating"}
real	wave = 6000		{prompt="Central wavelength (Angstroms)"}
int	order = INDEF		{prompt="Order for grating", min=1}
string	filter = "none"		{prompt="Filter name"}
string	telescope = "feed"	{prompt="Telescope"}
string	collimator = "small"	{prompt="Telescope"}
string	corrector = "coudeblue"	{prompt="Corrector"}
string	camera = "coudecam5"	{prompt="Camera"}
string	xdisperser = "none"	{prompt="Cross disperser"}
int	xorder = INDEF		{prompt="Order for cross disperser", min=1}

int	xbin = 1		{prompt="Detector binning (dispersion)", min=1}
int	ybin = 1		{prompt="Detector binning (spatial)\n", min=1}

string	spectrum = "blackbody"	{prompt="Spectrum"}
string	sky = "kpsky"		{prompt="Sky spectrum"}
real	airmass = 1.2		{prompt="Airmass", min=1.}
real	seeing = 1.		{prompt="Seeing (arcsec)"}
real	phase = 0.		{prompt="Moon phase (0-14)\n", min=0., max=14.}

real	temperature = 6000.	{prompt="Temperature (K)"}
real	index = 0.		{prompt="Power law index"}
real	refwave = INDEF		{prompt="Reference wavelength (Angstroms)"}
real	refflux = 10		{prompt="Source flux at reference wavelength"}
string	funits = "AB"		{prompt="Source flux units\n",
				 enum="AB|F_lambda|F_nu|U|B|V|R|I"}

string	output="ALL"		{prompt="Output plots"}


begin
	string	search

	search = "coude$,spectimedb$,sptimeKPNO$"
	search = search // ",sptimeKPNO$Gratings"
	search = search // ",sptimeKPNO$Grisms"
	search = search // ",sptimeKPNO$Filters/RCCRYO"
	search = search // ",sptimeKPNO$Telescopes"
	search = search // ",sptimeKPNO$Collimators"
	search = search // ",sptimeKPNO$Correctors"
	search = search // ",sptimeKPNO$Cameras"
	search = search // ",sptimeKPNO$Sky"

	sptime (time=time, maxexp=maxexp, sn=sn, spectrum=spectrum, sky=sky,
	    airmass=airmass, seeing=seeing, phase=phase,
	    temperature=temperature, index=index, refwave=refwave,
	    refflux=refflux, funits=funits, wave=wave, order=order,
	    xorder=xorder, width=width, length=INDEF, diameter=INDEF,
	    inoutangle=INDEF, xinoutangle=INDEF, xbin=xbin, ybin=ybin,
	    spectrograph="coudecam5", filter=filter, filter2="none",
	    disperser=grating, xdisperser=xdisperser, fiber="none",
	    telescope=telescope, adc="none", collimator=collimator,
	    corrector=corrector, camera="", detector="Detectors/f3kb",
	    aperture="", extinction="Extinction/kpextinct",
	    abjohnson="sptimelib$abjohnson", search=search, gain=INDEF,
	    rdnoise=INDEF, dark=INDEF, skysub="longslit", nskyaps=10,
	    output=output, list="", graphics="stdgraph", interactive=yes,
	    nw=101, sensfunc="")
end
