# GOLDCAM -- KPNO Gold Camera Spectrograph

procedure goldcam ()

real	time = INDEF		{prompt="Total exposure time (sec)"}
real	maxexp = 3600.		{prompt="Maximum time per exposure (sec)"}
real	sn = 25.		{prompt="S/N per pixel if time is INDEF\n"}

string	grating = "gc201"	{prompt="Grating"}
real	wave = INDEF		{prompt="Central wavelength (Angstroms)"}
int	order = INDEF		{prompt="Order for grating", min=1}
string	filter = "none"		{prompt="Filter name"}
string	filter2 = "none"	{prompt="Filter name\n"}

real	width = INDEF		{prompt="Slit width (-=pixels +=arcsec)"}
real	length = INDEF		{prompt="Slit length (-=pixels +=arcsec)"}
int	xbin = 1		{prompt="Detector binning (dispersion)", min=1}
int	ybin = 1		{prompt="Detector binning (spatial)\n", min=1}

string	spectrum = "blackbody"	{prompt="Spectrum"}
string	sky = "kpsky"		{prompt="Sky spectrum"}
real	airmass = 1.2		{prompt="Airmass", min=1.}
real	seeing = 1.		{prompt="Seeing (arcsec)"}
real	phase = 0.		{prompt="Moon phase (0-14)\n", min=0., max=14.}

real	temperature = 6000.	{prompt="Temperature (K)"}
real	index = 0.		{prompt="Power law index"}
real	refwave = INDEF		{prompt="Reference wavelength (Angstroms)"}
real	refflux = 10		{prompt="Source flux at reference wavelength"}
string	funits = "AB"		{prompt="Source flux units\n",
				 enum="AB|F_lambda|F_nu|U|B|V|R|I"}

string	output="ALL"		{prompt="Output plots"}


begin
	string	search

	search = "goldcam$,spectimedb$,sptimeKPNO$"
	search = search // ",sptimeKPNO$Gratings"
	search = search // ",sptimeKPNO$Filters/GCAM"
	search = search // ",sptimeKPNO$Sky"

	sptime (time=time, maxexp=maxexp, sn=sn, spectrum=spectrum, sky=sky,
	    airmass=airmass, seeing=seeing, phase=phase,
	    temperature=temperature, index=index, refwave=refwave,
	    refflux=refflux, funits=funits, wave=wave, order=order,
	    xorder=INDEF, width=width, length=length, diameter=INDEF,
	    inoutangle=INDEF, xinoutangle=INDEF, xbin=xbin, ybin=ybin,
	    spectrograph="goldcam", filter=filter, filter2=filter2,
	    disperser=grating, xdisperser="none", fiber="none",
	    telescope="Telescopes/2m", adc="none",
	    collimator="Collimators/goldcam", corrector="none",
	    camera="Cameras/goldcam", detector="Detectors/goldcam",
	    aperture="Apertures/slit", extinction="Extinction/kpextinct",
	    abjohnson="sptimelib$abjohnson", search=search, gain=INDEF,
	    rdnoise=INDEF, dark=INDEF, skysub="longslit", nskyaps=10,
	    output=output, list="", graphics="stdgraph", interactive=yes,
	    nw=101, sensfunc="")
end
