# KPHYDRA -- KPNO Hydra Spectrograph

procedure kphydra ()

real	time = INDEF		{prompt="Total exposure time (sec)"}
real	maxexp = 3600.		{prompt="Maximum time per exposure (sec)"}
real	sn = 25.		{prompt="S/N per pixel if time is INDEF\n"}

string	grating = "BL181"	{prompt="Grating"}
real	wave = INDEF		{prompt="Central wavelength (Angstroms)"}
int	order = INDEF		{prompt="Order for grating", min=1}
string	filter = "none"		{prompt="Filter name"}
string	fiber = "redfiber"	{prompt="Fibers"}
string	camera = "hydrabench"	{prompt="Camera"}
real	camcolangle = 30.	{prompt="Camera to collimator angle (deg)\n"}

int	xbin = 1		{prompt="Detector binning (dispersion)", min=1}
int	ybin = 1		{prompt="Detector binning (spatial)\n", min=1}

string	spectrum = "blackbody"	{prompt="Spectrum"}
string	sky = "kpsky"		{prompt="Sky spectrum"}
real	airmass = 1.2		{prompt="Airmass", min=1.}
real	seeing = 1.		{prompt="Seeing (arcsec)"}
real	phase = 0.		{prompt="Moon phase (0-14)\n", min=0., max=14.}

real	temperature = 6000.	{prompt="Temperature (K)"}
real	index = 0.		{prompt="Power law index"}
real	refwave = INDEF		{prompt="Reference wavelength (Angstroms)"}
real	refflux = 10		{prompt="Source flux at reference wavelength"}
string	funits = "AB"		{prompt="Source flux units\n",
				 enum="AB|F_lambda|F_nu|U|B|V|R|I"}

string	output="ALL"		{prompt="Output plots"}


begin
	string	search

	search = "kphydra$,spectimedb$,sptimeKPNO$"
	search = search // ",sptimeKPNO$Fibers"
	search = search // ",sptimeKPNO$Gratings"
	search = search // ",sptimeKPNO$Filters/HYDRABENCH"
	search = search // ",sptimeKPNO$Cameras"
	search = search // ",sptimeKPNO$Sky"

	sptime (time=time, maxexp=maxexp, sn=sn, spectrum=spectrum, sky=sky,
	    airmass=airmass, seeing=seeing, phase=phase,
	    temperature=temperature, index=index, refwave=refwave,
	    refflux=refflux, funits=funits, wave=wave, order=order,
	    xorder=INDEF, width=INDEF, length=INDEF, diameter=INDEF,
	    inoutangle=camcolangle, xinoutangle=INDEF, xbin=xbin,
	    ybin=ybin, spectrograph="hydra", filter=filter, filter2="none",
	    disperser=grating, xdisperser="none", fiber=fiber,
	    telescope="Telescopes/wiyn", adc="none",
	    collimator="Collimators/hydra", corrector="none",
	    camera=camera, detector="Detectors/t2kc", aperture="",
	    extinction="Extinction/kpextinct",
	    abjohnson="sptimelib$abjohnson", search=search, gain=INDEF,
	    rdnoise=INDEF, dark=INDEF, skysub="multiap", nskyaps=10,
	    output=output, list="", graphics="stdgraph", interactive=yes,
	    nw=101, sensfunc="")
end
