# Phoenix -- Phoenix Echlle Spectrograph

procedure phoenix ()

real	time = INDEF		{prompt="Total exposure time (sec)"}
real	maxexp = 3600.		{prompt="Maximum time per exposure (sec)"}
real	sn = 25.		{prompt="S/N per pixel if time is INDEF\n"}

real	wave = 1.1		{prompt="Central wavelength"}
string	units = "microns"	{prompt="Dispersion units"}

real	width = -2		{prompt="Slit width (-=pixels +=arcsec)"}
real	length = INDEF		{prompt="Slit length (-=pixels +=arcsec)"}

string	spectrum = "blackbody"	{prompt="Spectrum"}
string	background = "background"	{prompt="Background"}
real	seeing = 0.5		{prompt="Seeing (arcsec)"}

real	temperature = 6000.	{prompt="Temperature (K)"}
real	index = 0.		{prompt="Power law index"}
real	refwave = INDEF		{prompt="Reference wavelength"}
real	refflux = 10		{prompt="Source flux at reference wavelength"}
string	funits = "AB"		{prompt="Source flux units\n",
			 enum="AB|F_lambda|F_nu|U|B|V|R|I|J|H|Ks|K|L|L'|M"}

string	telescope = "gemini"	{prompt="Telescope\n",
				 enum="gemini|mayall4m-f15|2m"}
string	output="ALL"		{prompt="Output plots"}


begin
	string	search

	search = "spectimedb$Phoenix,sptimeGEM$Telescopes,sptimeKPNO$Telescopes"

	sptime (time=time, maxexp=maxexp, sn=sn, spectrum=spectrum,
	    sky=background, airmass=0, seeing=seeing, phase=0,
	    temperature=temperature, index=index, refwave=refwave,
	    units=units, refflux=refflux, funits=funits, wave=wave,
	    order=INDEF, xorder=INDEF, width=width, length=length,
	    diameter=INDEF, inoutangle=INDEF, xinoutangle=INDEF, xbin=1,
	    ybin=1, spectrograph="phoenix", filter="", filter2="",
	    disperser="", xdisperser="", fiber="", telescope=telescope,
	    adc="", collimator="", corrector="", camera="", detector="",
	    aperture="", extinction="", abjohnson="sptimelib$abjohnson",
	    search=search, gain=INDEF, rdnoise=INDEF, dark=INDEF,
	    skysub="longslit", nskyaps=10, output=output, list="",
	    graphics="stdgraph", interactive=yes, nw=101, sensfunc="")
end
